Package com.sun.mail.imap.protocol

## Class FLAGS

- java.lang.Object
- - javax.mail.Flags
  - - com.sun.mail.imap.protocol.FLAGS

All Implemented Interfaces:
  `Item`, `Serializable`, `Cloneable`

    public class FLAGS
    extends Flags
    implements Item

This class

Author:
  John Mani
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.mail.Flags

`Flags.Flag`

### Field Summary

Fields
`int` `msgno`

### Constructor Summary

Constructors
`FLAGS​(IMAPResponse r)` Constructor.

### Method Summary

### Methods inherited from class javax.mail.Flags

`add, add, add, clearSystemFlags, clearUserFlags, clone, contains, contains, contains, equals, getSystemFlags, getUserFlags, hashCode, remove, remove, remove, retainAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### msgno

    public int msgno

### Constructor Detail

#### FLAGS

    public FLAGS​(IMAPResponse r)
          throws ParsingException

Constructor.

Parameters:
  `r` - the IMAPResponse
Throws:
  `ParsingException` - for parsing failures